Package org.apache.datasketches.req

# Class ReqSketchBuilder

java.lang.Object
org.apache.datasketches.req.ReqSketchBuilder

public class ReqSketchBuilder extends Object
For building a new ReqSketch

Author:
  Lee Rhodes

## Constructor Summary

Constructors
Constructor
Description
`ReqSketchBuilder()`
Constructor for the ReqSketchBuilder.

## Method Summary

Modifier and Type
Method
Description
`ReqSketch`
`build()`
Returns a new ReqSketch with the current configuration of the builder.
`boolean`
`getHighRankAccuracy()`
Gets the builder configured High Rank Accuracy.
`int`
`getK()`
Gets the builder configured k.
`ReqDebug`
`getReqDebug()`
Gets the builder configured ReqDebug
`ReqSketchBuilder`
`setHighRankAccuracy(boolean hra)`
This sets the parameter highRankAccuracy.
`ReqSketchBuilder`
`setK(int k)`
This sets the parameter k.
`ReqSketchBuilder`
`setReqDebug(ReqDebug reqDebug)`
This sets the parameter reqDebug.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReqSketchBuilder

public ReqSketchBuilder()
Constructor for the ReqSketchBuilder.

## Method Details

### build

public ReqSketch build()
Returns a new ReqSketch with the current configuration of the builder.

Returns:
  a new ReqSketch

### getHighRankAccuracy

public boolean getHighRankAccuracy()
Gets the builder configured High Rank Accuracy.

Returns:
  the builder configured High Rank Accuracy.

### getK

public int getK()
Gets the builder configured k.

Returns:
  the builder configured k.

### getReqDebug

public ReqDebug getReqDebug()
Gets the builder configured ReqDebug

Returns:
  the builder configured ReqDebug, or null.

### setHighRankAccuracy

public ReqSketchBuilder setHighRankAccuracy(boolean hra)
This sets the parameter highRankAccuracy.

Parameters:
  `hra` - See ReqSketch#ReqSketch(int, boolean, ReqDebug)
Returns:
  this

### setK

public ReqSketchBuilder setK(int k)
This sets the parameter k.

Parameters:
  `k` - See ReqSketch#ReqSketch(int, boolean, ReqDebug)
Returns:
  this

### setReqDebug

public ReqSketchBuilder setReqDebug(ReqDebug reqDebug)
This sets the parameter reqDebug.

Parameters:
  `reqDebug` - See ReqSketch#ReqSketch(int, boolean, ReqDebug)
Returns:
  this

### toString

public String toString()

Overrides:
  `toString` in class `Object`